internal::key_from_policy< key_matching< Key > > Struct Template Reference

`#include <_flow_graph_streaming_node.h>`

Collaboration diagram for internal::key_from_policy< key_matching< Key > >:

## Public Types

typedef Key | type
typedef std::true_type | is_key_matching

## Detailed Description

### template<typename Key>
struct internal::key_from_policy< key_matching< Key > >

Definition at line 79 of file _flow_graph_streaming_node.h.

## Member Typedef Documentation

## is_key_matching

template<typename Key >

typedef std::true_type internal::key_from_policy< key_matching< Key > >::is_key_matching

Definition at line 81 of file _flow_graph_streaming_node.h.

## type

template<typename Key >

typedef Key internal::key_from_policy< key_matching< Key > >::type

Definition at line 80 of file _flow_graph_streaming_node.h.

The documentation for this struct was generated from the following file:

- _flow_graph_streaming_node.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.